#![forbid(unsafe_code)]
#![forbid(dead_code)]
#![doc(html_root_url = "https://docs.rs/fox-and-hounds/0.6.0")]

pub mod algorithm;
pub mod game;
pub mod r#move;

pub use crate::algorithm::alpha_beta::AlphaBeta;
pub use crate::algorithm::pvs::PrincipalVariationSearch;
pub use crate::algorithm::Algorithm;
pub use crate::game::fox_and_hounds::FoxAndHounds;
pub use crate::game::noughts_and_crosses::NoughtsAndCrosses;
pub use crate::game::Game;
pub use crate::r#move::Move;
